Create voice session
curl --request POST \
--url https://api.natural.com/voice/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"data": {
"attributes": {
"kind": "payment",
"paymentIntentId": "pmi_019d0a1b2c3d4e5f60718293a4b5c6d7",
"partnerCorrelation": "call_8842",
"callerPhone": "+14155550123",
"returnTarget": "sip:agent-9920@sip.partner.example.com"
}
}
}
'import requests
url = "https://api.natural.com/voice/sessions"
payload = { "data": { "attributes": {
"kind": "payment",
"paymentIntentId": "pmi_019d0a1b2c3d4e5f60718293a4b5c6d7",
"partnerCorrelation": "call_8842",
"callerPhone": "+14155550123",
"returnTarget": "sip:agent-9920@sip.partner.example.com"
} } }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
attributes: {
kind: 'payment',
paymentIntentId: 'pmi_019d0a1b2c3d4e5f60718293a4b5c6d7',
partnerCorrelation: 'call_8842',
callerPhone: '+14155550123',
returnTarget: 'sip:agent-9920@sip.partner.example.com'
}
}
})
};
fetch('https://api.natural.com/voice/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "vos_019d0a1b2c3d4e5f60718293a4b5c6f0",
"type": "voiceSession",
"attributes": {
"kind": "payment",
"sessionRef": "vos_019d0a1b2c3d4e5f60718293a4b5c6f0",
"dialUri": "sip:vos_019d0a1b2c3d4e5f60718293a4b5c6f0@sip.natural.com",
"dialExpiresAt": "2026-09-09T18:15:00.000Z"
},
"relationships": {
"paymentIntent": {
"data": {
"type": "paymentIntent",
"id": "pmi_019d0a1b2c3d4e5f60718293a4b5c6d7"
}
}
}
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "Too big: expected string to have <=80 characters",
"status": "422",
"source": {
"pointer": "/data/attributes/description"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}Voice Sessions
Create voice session
Create a voice session for an open payment intent
POST
/
voice
/
sessions
Create voice session
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Unique key for safely retrying a request without creating duplicates.
Maximum string length:
255Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
Maximum string length:
1024Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?